<?php
/**
 * The template to display default site footer
 *
 * @package ROSALEEN
 * @since ROSALEEN 1.0.10
 */

$rosaleen_footer_id = rosaleen_get_custom_footer_id();
$rosaleen_footer_meta = get_post_meta( $rosaleen_footer_id, 'trx_addons_options', true );
if ( ! empty( $rosaleen_footer_meta['margin'] ) ) {
	rosaleen_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( rosaleen_prepare_css_value( $rosaleen_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $rosaleen_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $rosaleen_footer_id ) ) ); ?>
						<?php
						$rosaleen_footer_scheme = rosaleen_get_theme_option( 'footer_scheme' );
						if ( ! empty( $rosaleen_footer_scheme ) && ! rosaleen_is_inherit( $rosaleen_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $rosaleen_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'rosaleen_action_show_layout', $rosaleen_footer_id );
	?>
</footer><!-- /.footer_wrap -->
