<?php
/**
 * The template to display the background video in the header
 *
 * @package ROSALEEN
 * @since ROSALEEN 1.0.14
 */
$rosaleen_header_video = rosaleen_get_header_video();
$rosaleen_embed_video  = '';
if ( ! empty( $rosaleen_header_video ) && ! rosaleen_is_from_uploads( $rosaleen_header_video ) ) {
	if ( rosaleen_is_youtube_url( $rosaleen_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $rosaleen_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php rosaleen_show_layout( rosaleen_get_embed_video( $rosaleen_header_video ) ); ?></div>
		<?php
	}
}
