<div class="front_page_section front_page_section_about<?php
	$rosaleen_scheme = rosaleen_get_theme_option( 'front_page_about_scheme' );
	if ( ! empty( $rosaleen_scheme ) && ! rosaleen_is_inherit( $rosaleen_scheme ) ) {
		echo ' scheme_' . esc_attr( $rosaleen_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( rosaleen_get_theme_option( 'front_page_about_paddings' ) );
	if ( rosaleen_get_theme_option( 'front_page_about_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$rosaleen_css      = '';
		$rosaleen_bg_image = rosaleen_get_theme_option( 'front_page_about_bg_image' );
		if ( ! empty( $rosaleen_bg_image ) ) {
			$rosaleen_css .= 'background-image: url(' . esc_url( rosaleen_get_attachment_url( $rosaleen_bg_image ) ) . ');';
		}
		if ( ! empty( $rosaleen_css ) ) {
			echo ' style="' . esc_attr( $rosaleen_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$rosaleen_anchor_icon = rosaleen_get_theme_option( 'front_page_about_anchor_icon' );
	$rosaleen_anchor_text = rosaleen_get_theme_option( 'front_page_about_anchor_text' );
if ( ( ! empty( $rosaleen_anchor_icon ) || ! empty( $rosaleen_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_about"'
									. ( ! empty( $rosaleen_anchor_icon ) ? ' icon="' . esc_attr( $rosaleen_anchor_icon ) . '"' : '' )
									. ( ! empty( $rosaleen_anchor_text ) ? ' title="' . esc_attr( $rosaleen_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_about_inner
	<?php
	if ( rosaleen_get_theme_option( 'front_page_about_fullheight' ) ) {
		echo ' rosaleen-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$rosaleen_css           = '';
			$rosaleen_bg_mask       = rosaleen_get_theme_option( 'front_page_about_bg_mask' );
			$rosaleen_bg_color_type = rosaleen_get_theme_option( 'front_page_about_bg_color_type' );
			if ( 'custom' == $rosaleen_bg_color_type ) {
				$rosaleen_bg_color = rosaleen_get_theme_option( 'front_page_about_bg_color' );
			} elseif ( 'scheme_bg_color' == $rosaleen_bg_color_type ) {
				$rosaleen_bg_color = rosaleen_get_scheme_color( 'bg_color', $rosaleen_scheme );
			} else {
				$rosaleen_bg_color = '';
			}
			if ( ! empty( $rosaleen_bg_color ) && $rosaleen_bg_mask > 0 ) {
				$rosaleen_css .= 'background-color: ' . esc_attr(
					1 == $rosaleen_bg_mask ? $rosaleen_bg_color : rosaleen_hex2rgba( $rosaleen_bg_color, $rosaleen_bg_mask )
				) . ';';
			}
			if ( ! empty( $rosaleen_css ) ) {
				echo ' style="' . esc_attr( $rosaleen_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_about_content_wrap content_wrap">
			<?php
			// Caption
			$rosaleen_caption = rosaleen_get_theme_option( 'front_page_about_caption' );
			if ( ! empty( $rosaleen_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_about_caption front_page_block_<?php echo ! empty( $rosaleen_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $rosaleen_caption, 'rosaleen_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$rosaleen_description = rosaleen_get_theme_option( 'front_page_about_description' );
			if ( ! empty( $rosaleen_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_about_description front_page_block_<?php echo ! empty( $rosaleen_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $rosaleen_description ), 'rosaleen_kses_content' ); ?></div>
				<?php
			}

			// Content
			$rosaleen_content = rosaleen_get_theme_option( 'front_page_about_content' );
			if ( ! empty( $rosaleen_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_content front_page_section_about_content front_page_block_<?php echo ! empty( $rosaleen_content ) ? 'filled' : 'empty'; ?>">
					<?php
					$rosaleen_page_content_mask = '%%CONTENT%%';
					if ( strpos( $rosaleen_content, $rosaleen_page_content_mask ) !== false ) {
						$rosaleen_content = preg_replace(
							'/(\<p\>\s*)?' . $rosaleen_page_content_mask . '(\s*\<\/p\>)/i',
							sprintf(
								'<div class="front_page_section_about_source">%s</div>',
								apply_filters( 'the_content', get_the_content() )
							),
							$rosaleen_content
						);
					}
					rosaleen_show_layout( $rosaleen_content );
					?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
